/*
	File:		ActionAtomIntf.h

	Contains:	C declarations for things the Installer wants to tell 
				action atoms about.

	Written by:	Bobby Carp

	Copyright:	 1990, 1992-1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <2>	 7/12/93	rdm		Added #ifndef __ActionAtomIntf__.
		 <1>	  7/6/93	KBA		first checked in
		 <4>	 11/5/91	RRK		Added Function prototype comment
		 <3>	 11/7/90	BAC		Need to include types.h
		 <2>	 11/7/90	BAC		Adding the AAPBRec that defines the parameters an action atom
									receives.
		 <1>	 10/8/90	BAC		first checked in

	To Do:
*/

#ifndef __ActionAtomIntf__
#define __ActionAtomIntf__


#ifndef __Types__
#include <Types.h>
#endif


enum { before, after, cleanUpCancel };
typedef unsigned char InstallationStage ;


/* The action atom param block record contains all of the parameters that action atoms */
/* receive.  The first (and only) parameter to action atoms is a ptr to this block (AAPBRecPtr) */

struct AAPBRec {
	short				targetVRefNum;
	long				blessedDirID;
	long				aaRefCon;
	Boolean				doingInstall;
	InstallationStage	whichStage;
	Boolean				didLiveUpdate;
	long				installerTempDirID;
};

typedef struct AAPBRec AAPBRec;

typedef AAPBRec *AAPBRecPtr;

/*
	The function prototype for the format 0 Action Atom code is as follows
	
	Boolean	MyActionAtom(AAPBRecPtr myAAPBPtr)
	
	
	The function prototype for the format 1 Action Atom code is as follows
	
	long	MyActionAtom(AAPBRecPtr myAAPBPtr)
	
*/


#endif