/*------------------------------------------------------------------------------
 *
 *	File:		AtomUtils.h -	C Header
 *
 *	Author:		Deric Horn
 *
 *	Interface to common Action Atom utility functions
 *
 *	History:	<1>	(12/2/94) Created this file.
 *
 *----------------------------------------------------------------------------*/

#include	<Files.h>
#include	<Folders.h>
#include	<Memory.h>
#include	<ActionAtomIntf.h>
#include	<string.h>

/* define record structure of 'infs' resource so that we can access the target file path */

struct infsRec {
	long	fileType;
	long	creator;
	long	creationDate;
	short	fileSpecFlags;
	Str255	pathName;
};

typedef struct infsRec infsRec;
typedef infsRec *infsPtr, **infsHdl;

/* define record structure of 'intf' resource so that we can access the target file path */
struct intfRec {
	short	format;
	short	targetFileSpecFlags;
	OSType	fileType;
	OSType	creator;
	short	finderFlags;
	long	creationDate;
	long	modDate;
	short	rsrcID;
	Str255	pathName;
};
typedef struct intfRec intfRec;
typedef intfRec **intfHdl;


OSErr	StripFileName(char *str);
long	DirIDFromSpecialPath( StringPtr path, short vRefNum );
void	PathFromSpecialPath( StringPtr pathStorage, StringPtr path );
OSErr	MakeFSSpecFromAAPB( FSSpecPtr myFS, StringPtr path, AAPBRecPtr myAAPBPtr );
void	pStrcpy(unsigned char *dest, unsigned char *src);