#define	Tome1	sourceFileBase+3
resource 'infs' (Tome1, "Mexican Spanish TTS Tome 1") {
	'idcp',								/* Tome File Type */
	'kakc',								/* Tome Creator */
	kScriptCheckSetsDate,				/* ScriptCheck fills in the creation date *//*SCRIPTCHECK SETS*/
	noSearchForFile,					/* Do not search the source disk for the file */
	TypeCrMustMatch,					/* file type and creator on source disk must match */
	ProgramDisk1 "Mexican Spanish TTS Tome 1"	/* Path to the file */
};

#define	Tome2	sourceFileBase+51
resource 'infs' (Tome2, "Mexican Spanish TTS Tome 2") {
	'idcp',								/* Tome File Type */
	'kakc',								/* Tome Creator */
	kScriptCheckSetsDate,				/* ScriptCheck fills in the creation date *//*SCRIPTCHECK SETS*/
	noSearchForFile,					/* Do not search the source disk for the file */
	TypeCrMustMatch,					/* file type and creator on source disk must match */
	ProgramDisk2 "Mexican Spanish TTS Tome 2"	/* Path to the file */
};

#define	Tome3	sourceFileBase+50
resource 'infs' (Tome3, "Mexican Spanish TTS Tome 3") {
	'idcp',								/* Tome File Type */
	'kakc',								/* Tome Creator */
	kScriptCheckSetsDate,				/* ScriptCheck fills in the creation date *//*SCRIPTCHECK SETS*/
	noSearchForFile,					/* Do not search the source disk for the file */
	TypeCrMustMatch,					/* file type and creator on source disk must match */
	ProgramDisk3 "Mexican Spanish TTS Tome 3"	/* Path to the file */
};

//	Install Auxiliary Files

#define ID			fReadMe
#define FILETYPE	'TEXT'
#define FILECREATOR	'ttxt'
#define SOURCEDIR	ProgramDisk1
#define DESTDIR		":"
#define FILENAME	"Using Mexican Spanish TTS"
#define	DELETEFILE	dontDeleteWhenRemoving
#include	"InstallAFile.r"	

#define ID			fSimpleText
#define FILETYPE	'APPL'
#define FILECREATOR	'ttxt'
#define SOURCEDIR	ProgramDisk1
#define DESTDIR		":"
#define FILENAME	"SimpleText"
#define	DELETEFILE	dontDeleteWhenRemoving
#include	"InstallAFile.r"	

//	Tome Installs

#define ID			fSpeechCDev
#define TOMEID		Tome1
#define FILETYPE	'cdev'
#define FILECREATOR	'earc'
#define DESTDIR		"special-ctrl:"
#define FILENAME	"Speech"
#include	"InstallATomeFile.r"	

#define ID			fSpeechMgr
#define TOMEID		Tome1
#define FILETYPE	'INIT'
#define FILECREATOR	'ttsc'
#define DESTDIR		"special-extn:"
#define FILENAME	"Speech Manager"
#define	COMPAREPROC	useSrcCrDateToCompare
#include	"InstallATomeFile.r"	

#define ID			fSynth
#define TOMEID		Tome1
#define FILETYPE	'thng'
#define FILECREATOR	'cami'
#define DESTDIR		"special-extn:"
#define FILENAME	"MacinTalk Espaol Mexicano"
#include	"InstallATomeFile.r"	

//	Non removeable Speech Mgr files
#define ID			fSpeechCDevNoRemove
#define TOMEID		Tome1
#define FILETYPE	'cdev'
#define FILECREATOR	'earc'
#define DESTDIR		"special-ctrl:"
#define FILENAME	"Speech"
#define	DELETEFILE	dontDeleteWhenRemoving
#define	TARGETTFID	targetFileBase+fSpeechCDev
#include	"InstallATomeFile.r"	

#define ID			fSpeechMgrNoRemove
#define TOMEID		Tome1
#define FILETYPE	'INIT'
#define FILECREATOR	'ttsc'
#define DESTDIR		"special-extn:"
#define FILENAME	"Speech Manager"
#define	COMPAREPROC	useSrcCrDateToCompare
#define	DELETEFILE	dontDeleteWhenRemoving
#define	TARGETTFID	targetFileBase+fSpeechMgr
#include	"InstallATomeFile.r"	

//	Resource Installation.
//	The 'ttsp' resources need to be on the same source disk (or possibly
//	a later disk) as the Speech Manager or the Installer won't install
//	them.  Note that the resource installation doesn't work (don't know why)
//	when using the Installer Debugger.
//
//	We don't want to remove the 'ttsp' when removing a synth; the 'ttsp' might
//	specify a different synth and so would remain valid.

#define ID					fDefaultVoice
#define RESOURCETYPE 		'ttsp'
#define	RESOURCEID			1
#define SOURCEinfsID 		Tome1
#define TARGETinfsID 		targetFileBase+fSpeechMgr	//	"Speech Manager"
#define DELETERESOURCE		dontDeleteWhenRemoving
#include	"InstallAResource.r"	

//	Voices
#define ID			fCarlos
#define TOMEID		Tome3
#define FILETYPE	'ttvf'
#define FILECREATOR	'cami'
#define DESTDIR		"special-extn:Voices:"
#define FILENAME	"Carlos"
#include	"InstallATomeFile.r"	

#define ID			fCatalina
#define PART1TOMEID	Tome2
#define PART2TOMEID	Tome1
#define FILETYPE	'ttvf'
#define FILECREATOR	'cami'
#define DESTDIR		"special-extn:Voices:"
#define FILENAME	"Catalina"
#include	"InstallSplitInTwoFile.r"


//	Delete Voices from Extensions Folder
#define ID			fCarlosExtFolder
#define FILETYPE	'ttvf'
#define FILECREATOR	'cami'
#define DESTDIR		"special-extn:"
#define FILENAME	"Carlos"
#include	"DeleteAFile.r"	

#define ID			fCatalinaExtFolder
#define FILETYPE	'ttvf'
#define FILECREATOR	'cami'
#define DESTDIR		"special-extn:"
#define FILENAME	"Catalina"
#include	"DeleteAFile.r"	
