#	'Installer Script.make'
#	by Deric Horn
#	For English TTS, Spanish TTS

Symbols		=	OFF
Debug		=	0
DebugOption	=	-d Debug={Debug}

ObjDir		=	:Obj:
AADir		=	:ActionAtoms:
TemplateDir	=	:Templates:

RezOptions	=	-t 'kajr' -c 'kajr' -I {TemplateDir} -s {AADir} {DebugOption}
COptions	=	-mbg {Symbols} -Sym {Symbols} -o {ObjDir} -I {AADir} {DebugOption}
LinkOptions	=	-Sym {Symbols}

MakeFile	=	'Installer Script.make'

OBJS =	
		{ObjDir}GestaltFxns.c.o		
		{ObjDir}ResolveAliasAA.c.o	
		{ObjDir}SetFolderIconAA.c.o	
		{ObjDir}AtomUtils.c.o		
#

Templates	= 
			{TemplateDir}DeleteAFile.r				
			{TemplateDir}InstallAFile.r				
			{TemplateDir}InstallAnAAtom.r			
			{TemplateDir}InstallAResource.r			
			{TemplateDir}InstallATomeFile.r			
			{TemplateDir}InstallSplitInTwoFile.r	
#

'English TTS Install Script'  {MakeFile} {Templates} TTS_English_14_Install.r	
								EnglishTTS.rsrc InstallFiles_TTS14.r {OBJS}
	Rez -o "English TTS Install Script" "TTS_English_14_Install.r" {RezOptions} 
	OrphanFiles 'English TTS Install Script'
	SetFile -d "`Date -d -s` 12:00:00" -m "`Date -d -s` 12:00:00" -a i "English TTS Install Script"			#mark Inited

'Mexican TTS Install Script'  {MakeFile} {Templates} TTS_Mexican_14_Install.r	
								InstallFiles_TTS14_Mexican.r					
								MexicanSpanishTTS.rsrc							
								MexicanSpanishDefault.rsrc						
								{ObjDir}GestaltFxns.c.o # {ObjDir}JoinAA.c.o
	Rez -o "Mexican TTS Install Script" "TTS_Mexican_14_Install.r" {RezOptions} 
	OrphanFiles 'Mexican TTS Install Script'
	SetFile -d "`Date -d -s` 12:00:00" -m "`Date -d -s` 12:00:00" -a i "Mexican TTS Install Script"	#mark Inited


{ObjDir}GestaltFxns.c.o  {MakeFile} {AADir}GestaltFxns.c
	C -b {AADir}GestaltFxns.c -r {COptions}
	Link -ra =resPurgeable -rt infn=1001 -rn -m CHKGR33MHZ -t rsrc -c RSED 
			{ObjDir}GestaltFxns.c.o 
			-o {AADir}GestaltFxns.rsrc 
	Link -ra =resPurgeable -rt infn=1002 -rn -m CHKNOTPROCESSOR -t rsrc -c RSED 
			{ObjDir}GestaltFxns.c.o 
			"{Libraries}"Interface.o 
			-o {AADir}GestaltFxns.rsrc 

{ObjDir}ResolveAliasAA.c.o  {MakeFile} {AADir}ResolveAliasAA.c {ObjDir}AtomUtils.c.o
	C -r -b {AADir}ResolveAliasAA.c {COptions}
	Link -ra =resPurgeable -t rsrc -c RSED -rt infn=10001 {LinkOptions} 
			-m RESOLVEALIAS -sg RESOLVEALIAS 
			{ObjDir}ResolveAliasAA.c.o 
			{ObjDir}AtomUtils.c.o 
			"{CLibraries}"StdCLib.o 
			"{Libraries}"Interface.o 
			-o {AADir}ResolveAliasAA.rsrc

{ObjDir}SetFolderIconAA.c.o  {MakeFile} {AADir}SetFolderIconAA.c {ObjDir}AtomUtils.c.o
	C -b {AADir}SetFolderIconAA.c -r {COptions}
	Link -ra =resPurgeable -t rsrc -c RSED -rt infn=10002 {LinkOptions} 
			-m SETFOLDERICON -sg SetFolderIcon 
			{ObjDir}SetFolderIconAA.c.o 
			{ObjDir}AtomUtils.c.o 
			"{CLibraries}"StdCLib.o 
			"{Libraries}"Interface.o 
			-o {AADir}SetFolderIconAA.rsrc

{ObjDir}AtomUtils.c.o  {MakeFile} {AADir}AtomUtils.c
	C -b {AADir}AtomUtils.c -r {COptions}
