/*------------------------------------------------------------------------------
 *
 *	File:		DeleteAFile.r -	Rez Source
 *
 *	Author:		Deric Horn
 *
 *	Template for Deleting files.
 *	This contains the necessary type deffinitions to delete files.
 *
 *	History:	<1>	(12/2/94) Created this file.
 *
 *----------------------------------------------------------------------------*/

#ifndef	TARGETID
	#define	TARGETFS	targetFileBase+ID

	resource 'intf' ( TARGETFS ) 	/* File Spec */
	{
		format0
		{
			noSearchForFile,
			TypeCrNeedNotMatch,
			FILETYPE,
			FILECREATOR,
			0x0,
			DESTDIR FILENAME
		}
	};
#else
	#define	TARGETFS	targetFileBase+TARGETID
#endif

resource 'infa' (sourceFileBase+ID,FILENAME) {
	format0 {
		deleteWhenRemoving,				/* Delete the file if remove (option-custom) is clicked	*/
		deleteWhenInstalling, 			/* Delete the target before copying new one */
		dontCopy, 						/* Don't copy the file to the destination */
		updateEvenIfNewer, 				/* do not Install this version, if newer one exists */
		updateExisting, 				/* Always replace an existing copy */
		copyIfNewOrUpdate,				/* Copy whether the target file exists or not */
		rsrcFork, dataFork,				/* Copy both forks of the file */
		TARGETFS,						/* TARGET file spec for this file */
		0,								/* SOURCE file spec (NONE needed) */
		0,								/* atom size (filled in by ScriptCheck) */
		""								/* Atom Description (Installer will use file name) */
	};
};

#undef	TARGETID