/*------------------------------------------------------------------------------
 *
 *	File:		InstallAFile.r -	Rez Source
 *
 *	Author:		Deric Horn
 *
 *	Template for installing a file.
 *	This contains the necessary type deffinitions to install a file.
 *
 *	History:	<1>	(12/2/94) Created this file.
 *
 *----------------------------------------------------------------------------*/

#ifndef	TARGETNAME
	#define	TARGETNAME	FILENAME
#endif
#ifndef	DELETEFILE
	#define	DELETEFILE	deleteWhenRemoving
#endif


resource 'infa' (sourceFileBase+ID,FILENAME) {
	format0 {
		DELETEFILE,						/* Delete the file if remove (option-custom) is clicked	*/
		deleteWhenInstalling, 			/* Delete the target before copying new one */
		copy, 							/* Copy the file to the destination */
		leaveAloneIfNewer, 				/* do not Install this version, if newer one exists */
		updateExisting, 				/* Always replace an existing copy */
		copyIfNewOrUpdate,				/* Copy whether the target file exists or not */
		rsrcFork, dataFork,				/* Copy both forks of the file */
		targetFileBase + ID,			/* TARGET file spec for this file */
		sourceFileBase + ID,			/* SOURCE file spec for this file */
		0,								/* atom size (filled in by ScriptCheck) */
		""								/* Atom Description (Installer will use file name) */
	};
};

resource 'infs' (targetFileBase+ID,TARGETNAME) {
	FILETYPE,							/* File Type */
	FILECREATOR,						/* Creator */
	0,									/* creation date not needed for target file specs */
	noSearchForFile,					/* Do not search the target disk for the file */
	TypeCrNeedNotMatch,					/* not needed for target file specs */
	DESTDIR TARGETNAME					/* destination Path */
};

resource 'infs' (sourceFileBase+ID,FILENAME) {
	FILETYPE,							/* File Type */
	FILECREATOR,						/* Creator */
	kScriptCheckSetsDate,				/* ScriptCheck fills in the creation date */
	noSearchForFile,					/* Do not search the source disk for the file */
	TypeCrMustMatch,					/* file type and creator on source disk must match */
	SOURCEDIR FILENAME					/* Path to the file */
};

#undef	DELETEFILE
#undef	TARGETNAME