/*------------------------------------------------------------------------------
 *
 *	File:		InstallAResource.r -	Rez Source
 *
 *	Author:		Deric Horn
 *
 *	Template for installing resources.
 *	This contains the necessary type deffinitions to install resources.
 *
 *	History:	<1>	(12/2/94) Created this file.
 *
 *----------------------------------------------------------------------------*/

#ifndef	RESOURCESIZE
	#define RESOURCESIZE 0
#endif

#ifndef	RESOURCENAME
	#define RESOURCENAME ""
#endif

#ifndef	SOURCEinfsID
	#define SOURCEinfsID sourceFileBase+ID
	resource 'infs' (sourceFileBase+ID,RESOURCENAME) {
		FILETYPE,							/* File Type */
		FILECREATOR,						/* Creator */
		kScriptCheckSetsDate,				/* ScriptCheck fills in the creation date */
		noSearchForFile,					/* Do not search the source disk for the file */
		TypeCrMustMatch,					/* file type and creator on source disk must match */
		SOURCEDIR FILENAME					/* Path to the file */
	};
#endif

#ifndef	TARGETinfsID
	#define TARGETinfsID sourceFileBase+ID
	resource 'infs' (targetFileBase+ID,RESOURCENAME) {
		0,									/* File Type */
		0,									/* Creator */
		0,									/* creation date not needed for target file specs */
		noSearchForFile,					/* Do not search the target disk for the file */
		TypeCrNeedNotMatch,					/* not needed for target file specs */
		DESTDIR DESTFILENAME				/* destination Path */
	};
#endif

#ifndef SOURCEResourceID
	#define	SOURCEResourceID	RESOURCEID
	#define	TARGETResourceID	RESOURCEID
#endif

#ifndef	DELETERESOURCE
	#define	DELETERESOURCE	deleteWhenRemoving
#endif

#ifndef PRESERVEEXISTING
	#define PRESERVEEXISTING	updateExisting	// Default to clobbering an existing resource.
#endif

resource 'inra' (sourceFileBase+ID,RESOURCENAME) {
	format1 {
		DELETERESOURCE,					/* Remove file or rsrc if remove clicked */
		dontDeleteWhenInstalling,	 	// We're adding not removing.
		copy, 							/* Copy the file to the destination */
		updateEvenIfNewer,				//  Do not update a newer file
		noTgtRequired, 					// tgtRequired gives alert even if installing target.  Bad.
		PRESERVEEXISTING, 				/* Keep tgt rsrc if it already exists */
		copyIfNewOrUpdate, 				/* Only update if target exists	*/
		ignoreProtection, 				/* Do it even if rsrc protected */
		srcNeedNotExist, 				/* Rsrc need not exist on source */
		byID, 							/* Use name or id to find rsrc	*/
		nameNeedNotMatch, 				/* name must match*/
		RESOURCESIZE,					// Resource size in bytes.  For disk space calculation.
		TARGETinfsID,					/* TARGET file spec for this file */
		RESOURCETYPE,					/* Resource Type */
		TARGETResourceID,				/* Target ID */
		0x0,							// Target resource attributes.
		RESOURCENAME,					/* Resource Name */
		{
			SOURCEinfsID,				/* SOURCE file spec for this file */
			RESOURCETYPE,				/* Resource Type */
			SOURCEResourceID,			/* Target ID */
			0,							//	Resource size (filled in by ScriptCheck)
			RESOURCENAME,				/* Resource Name */
		},
		0,								// Source version number.  Unneeded since no version compare.
		0,								// MUST be the 'invc' id of the custom version proc.
		0,								// Atom extender resource ID.
		"Installing Resource: "RESOURCENAME,	/* Atom Description */
	};
};

#undef RESOURCESIZE
#undef RESOURCENAME
#undef SOURCEinfsID
#undef TARGETinfsID
#undef SOURCEResourceID
#undef DELETERESOURCE
#undef PRESERVEEXISTING
