/*------------------------------------------------------------------------------
 *
 *	File:		InstallATomeFile.r -	Rez Source
 *
 *	Author:		Deric Horn
 *
 *	Template for installing InstacompOne Tome files.
 *	This contains the necessary type deffinitions to install from a Tome container.
 *
 *	History:	<1>	(12/2/94) Created this file.
 *
 *----------------------------------------------------------------------------*/

#ifndef	COMPAREPROC
	#define	COMPAREPROC	useVersProcToCompare
#endif
#ifndef	DELETEFILE
	#define	DELETEFILE	deleteWhenRemoving
#endif

#ifndef	TARGETTFID
	#define	TARGETTFID	targetFileBase+ID

	resource 'intf' (TARGETTFID) { 
		format1 { 
			noSearchForFile,				/* Search by calling the referenced 'insp' resource */
			TypeCrNeedNotMatch,				/* Type and creator must match	*/
			FILETYPE,						/* Target File Type */
			FILECREATOR,					/* Target File Creator */
			0,								/* Target File Finder Flags */
			kScriptCheckSetsDate,			/* Target File Creation Date of new file */
			kScriptCheckSetsDate,			/* Target File Mod. Date of new file */
			0,								/* Search Proc. Rsrc ID */
			DESTDIR FILENAME				/* Destination Path */
		} 
	};
#endif

#ifndef	HCDeCompResources
	#define	HCDeCompResources
	#define HCDeCompInexID		241				/* Mister Majic Number */
	include "InstaCompOneAtomExt.rsrc" 'exfn' (HCDeCompInexID); /* Majic Decompressulator */
	include "InstaCompOneAtomExt.rsrc" 'inex' (HCDeCompInexID);
#endif

resource 'infa' (sourceFileBase+ID,FILENAME) {
	format1 {
		DELETEFILE,						/* Remove file or rsrc if remove clicked */
		deleteWhenInstalling, 			/* Delete target before copy	*/
		copy, 							/* Copy file or rsrc to destination */
		dontIgnoreLockedFile, 			/* Set the Target file to be locked or not. */
		dontSetFileLocked, 				/* Set the Target file to be locked or not. */
		COMPAREPROC, 					/* How we determine if the target is newer. */
		srcNeedExist, 					/* Ignore atom if file does not exist */
		rsrcForkInDataFork, 			/* Determines where to read the rsrc fork from */
		leaveAloneIfNewer,				/* updateEvenIfNewer,*/ 	/* OK for a newer version of this file to exist */
		updateExisting, 				/* Keep tgt file if it already exists */
		copyIfNewOrUpdate, 				/* Only update if target exists	*/
		rsrcFork, 						/* Apply operation to rsrc fork */
		dataFork, 						/* Apply operation to data fork	*/
		0, 								/* total size uncomp */			/*SCRIPTCHECK SETS*/
		0, 								/* Finder Attribute Flags */	/*SCRIPTCHECK SETS*/
		TARGETTFID, 					/* Tgt file spec ID */
		{
			TOMEID, 					/* Source File Spec */ /*  parts list, with exact target part sizes. */
			0,							/* Target Data Fork Part Size Uncompressed *//*SCRIPTCHECK SETS*/
			0,							/* Target Rsrc Fork Part Size Uncompressed *//*SCRIPTCHECK SETS*/
		},
		0x0,							/* Source Version Number in BCD format. 0x12345678*/
		0,								/* Version Compare rsrc ID (zero if none) */
		HCDeCompInexID,					/* Atom Extender ID */
		FILENAME						/* Atom Description */
	}
};


#undef	DELETEFILE
#undef	COMPAREPROC
#undef	TARGETTFID
